# Legal Representatives

## Create Legal Representative

> Create new legal representative

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Legal Representatives","description":"Legal Representatives"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"CreateLegalRepresentativeResult":{"title":"CreateLegalRepresentativeResult","type":"object","properties":{"legalRepresentativeId":{"type":"string","format":"uuid","description":"Unique legal representative identification number in UUID format","readOnly":true}},"required":["legalRepresentativeId"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"LegalRepresentativeData":{"title":"LegalRepresentativeData","type":"object","properties":{"firstName":{"type":"string","minLength":1,"maxLength":255,"pattern":"^\\S+( \\S+)*$","description":"All first names of the person according to the identification document"},"lastName":{"type":"string","minLength":1,"maxLength":255,"description":"Natural person last name"},"birthDay":{"type":"string","format":"date"},"birthPlace":{"type":"string","minLength":1,"description":"Location ","maxLength":255},"birthCountry":{"$ref":"#/components/schemas/CountryEnum"},"taxDetails":{"type":"array","description":"TaxDetails is required if fatcaControllingPerson = `TRUE`","items":{"$ref":"#/components/schemas/TaxDetail"}},"isUsNationality":{"type":"boolean","description":"FATCA - Question whether the customer is subject to US tax liability (nationality or other references due to a green card, registration address, etc.)."},"mainAddress":{"$ref":"#/components/schemas/Address"},"nationalities":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/CountryEnum"}},"function":{"$ref":"#/components/schemas/LegalRepresentativeFunctionEnum"},"soleSignatureAuthorized":{"description":"Indication of whether or not the legal representative is authorized to represent the company individually.","type":"boolean"},"fatcaControllingPerson":{"description":"Indication of whether this person is a controlling person under FATCA.\\\n`TRUE` = if fatcaClassification = `PASSIVE_NFE`\n","type":"boolean"}},"required":["firstName","lastName","birthDay","birthPlace","birthCountry","isUsNationality","nationalities","function","soleSignatureAuthorized","fatcaControllingPerson"]},"CountryEnum":{"title":"CountryEnum","type":"string","description":"Country code in **ISO 3166-1 alpha-2** standard","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","VG","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","HK","MO","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VI","WF","EH","YE","ZM","ZW","XK"]},"TaxDetail":{"title":"TaxDetail","type":"object","properties":{"taxId":{"type":"string","minLength":1,"maxLength":255},"taxResidency":{"$ref":"#/components/schemas/CountryEnum"},"noTinConfirmation":{"description":"Indicates that the customer does not have a Tax Identification Number (TIN), which should only be used in exceptional cases where no TIN exists. If this field is set to true, the customer must provide supporting document (docType: TIN_NA_CONFIRMATION) confirming that no TIN is available.","type":"boolean","default":false}},"required":["taxResidency"]},"Address":{"title":"Address","type":"object","description":"Address","properties":{"street":{"type":"string","minLength":1,"maxLength":255},"streetNumber":{"type":"string","minLength":1,"maxLength":20},"city":{"type":"string","minLength":1,"maxLength":255},"zip":{"type":"string","minLength":3,"maxLength":10},"state":{"type":"string","minLength":1,"maxLength":35},"country":{"$ref":"#/components/schemas/CountryEnum"},"additionalInfo":{"type":"string","minLength":1}},"required":["street","streetNumber","city","zip","country"]},"LegalRepresentativeFunctionEnum":{"title":"LegalRepresentativeFunctionEnum","type":"string","enum":["MANAGING_DIRECTOR","SUPERVISORY_BOARD","SHAREHOLDER","OTHER"]}}},"paths":{"/entities/{legalEntityId}/legal-representatives":{"post":{"summary":"Create Legal Representative","operationId":"create-legal-representative","description":"Create new legal representative","tags":["Legal Representatives"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateLegalRepresentativeResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegalRepresentativeData"}}}}}}}}
```

## Get Legal Representatives

> Get legal representatives

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Legal Representatives","description":"Legal Representatives"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"LegalRepresentatives":{"title":"LegalRepresentatives","type":"object","properties":{"data":{"type":"array","description":"Array of legal representatives","items":{"$ref":"#/components/schemas/LegalRepresentative"}},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["data","pagination"]},"LegalRepresentative":{"title":"LegalRepresentative","type":"object","properties":{"firstName":{"type":"string","minLength":1,"maxLength":255,"pattern":"^\\S+( \\S+)*$","description":"All first names of the person according to the identification document"},"lastName":{"type":"string","minLength":1,"maxLength":255,"description":"Natural person last name"},"birthDay":{"type":"string","format":"date"},"birthPlace":{"type":"string","minLength":1,"description":"Location ","maxLength":255},"birthCountry":{"$ref":"#/components/schemas/CountryEnum"},"taxDetails":{"type":"array","description":"TaxDetails is required if fatcaControllingPerson = `TRUE`","items":{"$ref":"#/components/schemas/TaxDetail"}},"isUsNationality":{"type":"boolean","description":"FATCA - Question whether the customer is subject to US tax liability (nationality or other references due to a green card, registration address, etc.)."},"mainAddress":{"$ref":"#/components/schemas/Address"},"nationalities":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/CountryEnum"}},"function":{"$ref":"#/components/schemas/LegalRepresentativeFunctionEnum"},"soleSignatureAuthorized":{"description":"Indication of whether or not the legal representative is authorized to represent the company individually.","type":"boolean"},"fatcaControllingPerson":{"description":"Indication of whether this person is a controlling person under FATCA.\\\n`TRUE` = if fatcaClassification = `PASSIVE_NFE`\n","type":"boolean"},"deathDay":{"type":"string","format":"date"},"legalRepresentativeId":{"type":"string","format":"uuid","readOnly":true},"globalId":{"type":"string","minLength":12,"maxLength":12,"description":"Global ID of the legal representative"},"status":{"$ref":"#/components/schemas/LegalRepresentativeStatusEnum"},"createdOn":{"type":"string","format":"date-time","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","readOnly":true}},"required":["birthCountry","birthDay","birthPlace","createdOn","fatcaControllingPerson","firstName","function","globalId","isUsNationality","lastName","legalRepresentativeId","modifiedOn","nationalities","soleSignatureAuthorized","status"]},"CountryEnum":{"title":"CountryEnum","type":"string","description":"Country code in **ISO 3166-1 alpha-2** standard","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","VG","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","HK","MO","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VI","WF","EH","YE","ZM","ZW","XK"]},"TaxDetail":{"title":"TaxDetail","type":"object","properties":{"taxId":{"type":"string","minLength":1,"maxLength":255},"taxResidency":{"$ref":"#/components/schemas/CountryEnum"},"noTinConfirmation":{"description":"Indicates that the customer does not have a Tax Identification Number (TIN), which should only be used in exceptional cases where no TIN exists. If this field is set to true, the customer must provide supporting document (docType: TIN_NA_CONFIRMATION) confirming that no TIN is available.","type":"boolean","default":false}},"required":["taxResidency"]},"Address":{"title":"Address","type":"object","description":"Address","properties":{"street":{"type":"string","minLength":1,"maxLength":255},"streetNumber":{"type":"string","minLength":1,"maxLength":20},"city":{"type":"string","minLength":1,"maxLength":255},"zip":{"type":"string","minLength":3,"maxLength":10},"state":{"type":"string","minLength":1,"maxLength":35},"country":{"$ref":"#/components/schemas/CountryEnum"},"additionalInfo":{"type":"string","minLength":1}},"required":["street","streetNumber","city","zip","country"]},"LegalRepresentativeFunctionEnum":{"title":"LegalRepresentativeFunctionEnum","type":"string","enum":["MANAGING_DIRECTOR","SUPERVISORY_BOARD","SHAREHOLDER","OTHER"]},"LegalRepresentativeStatusEnum":{"title":"LegalRepresentativeStatusEnum","type":"string","enum":["ACTIVE","INACTIVE","REVIEW","RECEIVED","INVALID"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}},"parameters":{"cursor":{"schema":{"type":"string"},"in":"query","name":"cursor","description":"String value used for pagination"},"limit":{"schema":{"type":"integer","default":20,"minimum":1},"in":"query","name":"limit","description":"Maximum number of items to return","required":true},"legalRepresentativeStatus":{"schema":{"$ref":"#/components/schemas/LegalRepresentativeStatusEnum"},"in":"query","name":"legalRepresentativeStatus","description":"Legal representative status Filter"},"startDate":{"schema":{"type":"string","format":"date-time"},"name":"startDate","in":"query","description":"Beginning of the range"},"endDate":{"schema":{"type":"string","format":"date-time"},"in":"query","name":"endDate","description":"End of the range"}}},"paths":{"/entities/{legalEntityId}/legal-representatives":{"get":{"summary":"Get Legal Representatives","operationId":"get-legal-representatives","description":"Get legal representatives","tags":["Legal Representatives"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegalRepresentatives"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"parameters":[{"$ref":"#/components/parameters/cursor"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/legalRepresentativeStatus"},{"$ref":"#/components/parameters/startDate"},{"$ref":"#/components/parameters/endDate"}]}}}}
```

## Get Legal Representative

> Get legal representative

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Legal Representatives","description":"Legal Representatives"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"LegalRepresentative":{"title":"LegalRepresentative","type":"object","properties":{"firstName":{"type":"string","minLength":1,"maxLength":255,"pattern":"^\\S+( \\S+)*$","description":"All first names of the person according to the identification document"},"lastName":{"type":"string","minLength":1,"maxLength":255,"description":"Natural person last name"},"birthDay":{"type":"string","format":"date"},"birthPlace":{"type":"string","minLength":1,"description":"Location ","maxLength":255},"birthCountry":{"$ref":"#/components/schemas/CountryEnum"},"taxDetails":{"type":"array","description":"TaxDetails is required if fatcaControllingPerson = `TRUE`","items":{"$ref":"#/components/schemas/TaxDetail"}},"isUsNationality":{"type":"boolean","description":"FATCA - Question whether the customer is subject to US tax liability (nationality or other references due to a green card, registration address, etc.)."},"mainAddress":{"$ref":"#/components/schemas/Address"},"nationalities":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/CountryEnum"}},"function":{"$ref":"#/components/schemas/LegalRepresentativeFunctionEnum"},"soleSignatureAuthorized":{"description":"Indication of whether or not the legal representative is authorized to represent the company individually.","type":"boolean"},"fatcaControllingPerson":{"description":"Indication of whether this person is a controlling person under FATCA.\\\n`TRUE` = if fatcaClassification = `PASSIVE_NFE`\n","type":"boolean"},"deathDay":{"type":"string","format":"date"},"legalRepresentativeId":{"type":"string","format":"uuid","readOnly":true},"globalId":{"type":"string","minLength":12,"maxLength":12,"description":"Global ID of the legal representative"},"status":{"$ref":"#/components/schemas/LegalRepresentativeStatusEnum"},"createdOn":{"type":"string","format":"date-time","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","readOnly":true}},"required":["birthCountry","birthDay","birthPlace","createdOn","fatcaControllingPerson","firstName","function","globalId","isUsNationality","lastName","legalRepresentativeId","modifiedOn","nationalities","soleSignatureAuthorized","status"]},"CountryEnum":{"title":"CountryEnum","type":"string","description":"Country code in **ISO 3166-1 alpha-2** standard","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","VG","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","HK","MO","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VI","WF","EH","YE","ZM","ZW","XK"]},"TaxDetail":{"title":"TaxDetail","type":"object","properties":{"taxId":{"type":"string","minLength":1,"maxLength":255},"taxResidency":{"$ref":"#/components/schemas/CountryEnum"},"noTinConfirmation":{"description":"Indicates that the customer does not have a Tax Identification Number (TIN), which should only be used in exceptional cases where no TIN exists. If this field is set to true, the customer must provide supporting document (docType: TIN_NA_CONFIRMATION) confirming that no TIN is available.","type":"boolean","default":false}},"required":["taxResidency"]},"Address":{"title":"Address","type":"object","description":"Address","properties":{"street":{"type":"string","minLength":1,"maxLength":255},"streetNumber":{"type":"string","minLength":1,"maxLength":20},"city":{"type":"string","minLength":1,"maxLength":255},"zip":{"type":"string","minLength":3,"maxLength":10},"state":{"type":"string","minLength":1,"maxLength":35},"country":{"$ref":"#/components/schemas/CountryEnum"},"additionalInfo":{"type":"string","minLength":1}},"required":["street","streetNumber","city","zip","country"]},"LegalRepresentativeFunctionEnum":{"title":"LegalRepresentativeFunctionEnum","type":"string","enum":["MANAGING_DIRECTOR","SUPERVISORY_BOARD","SHAREHOLDER","OTHER"]},"LegalRepresentativeStatusEnum":{"title":"LegalRepresentativeStatusEnum","type":"string","enum":["ACTIVE","INACTIVE","REVIEW","RECEIVED","INVALID"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/entities/legal-representatives/{legalRepresentativeId}":{"get":{"summary":"Get Legal Representative","operationId":"get-legal-representative","description":"Get legal representative","tags":["Legal Representatives"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegalRepresentative"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```

## Update Legal Representative

> Update legal representative

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Legal Representatives","description":"Legal Representatives"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"requestorId":{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"LegalRepresentativeUpdate":{"title":"LegalRepresentativeUpdate","type":"object","properties":{"firstName":{"type":"string","minLength":1,"maxLength":255,"pattern":"^\\S+( \\S+)*$","description":"All first names of the person according to the identification document"},"lastName":{"type":"string","minLength":1,"maxLength":255,"description":"Natural person last name"},"birthDay":{"type":"string","format":"date"},"birthPlace":{"type":"string","minLength":1,"description":"Location ","maxLength":255},"birthCountry":{"$ref":"#/components/schemas/CountryEnum"},"taxDetails":{"type":"array","items":{"$ref":"#/components/schemas/TaxDetail"}},"isUsNationality":{"type":"boolean","description":"FATCA - Question whether the customer is subject to US tax liability (nationality or other references due to a green card, registration address, etc.)."},"mainAddress":{"$ref":"#/components/schemas/Address"},"nationalities":{"type":"array","minItems":1,"items":{"$ref":"#/components/schemas/CountryEnum"}},"function":{"$ref":"#/components/schemas/LegalRepresentativeFunctionEnum"},"soleSignatureAuthorized":{"description":"Indication of whether or not the legal representative is authorized to represent the company individually.","type":"boolean"},"fatcaControllingPerson":{"description":"Indication of whether this person is a controlling person under FATCA.\\\n`TRUE` = if fatcaClassification = `PASSIVE_NFE`\n","type":"boolean"}}},"CountryEnum":{"title":"CountryEnum","type":"string","description":"Country code in **ISO 3166-1 alpha-2** standard","enum":["AF","AX","AL","DZ","AS","AD","AO","AI","AQ","AG","AR","AM","AW","AU","AT","AZ","BS","BH","BD","BB","BY","BE","BZ","BJ","BM","BT","BO","BQ","BA","BW","BV","BR","VG","IO","BN","BG","BF","BI","KH","CM","CA","CV","KY","CF","TD","CL","CN","HK","MO","CX","CC","CO","KM","CG","CD","CK","CR","CI","HR","CU","CW","CY","CZ","DK","DJ","DM","DO","EC","EG","SV","GQ","ER","EE","ET","FK","FO","FJ","FI","FR","GF","PF","TF","GA","GM","GE","DE","GH","GI","GR","GL","GD","GP","GU","GT","GG","GN","GW","GY","HT","HM","VA","HN","HU","IS","IN","ID","IR","IQ","IE","IM","IL","IT","JM","JP","JE","JO","KZ","KE","KI","KP","KR","KW","KG","LA","LV","LB","LS","LR","LY","LI","LT","LU","MK","MG","MW","MY","MV","ML","MT","MH","MQ","MR","MU","YT","MX","FM","MD","MC","MN","ME","MS","MA","MZ","MM","NA","NR","NP","NL","AN","NC","NZ","NI","NE","NG","NU","NF","MP","NO","OM","PK","PW","PS","PA","PG","PY","PE","PH","PN","PL","PT","PR","QA","RE","RO","RU","RW","BL","SH","KN","LC","MF","PM","VC","WS","SM","ST","SA","SN","RS","SC","SL","SG","SX","SK","SI","SB","SO","ZA","GS","SS","ES","LK","SD","SR","SJ","SZ","SE","CH","SY","TW","TJ","TZ","TH","TL","TG","TK","TO","TT","TN","TR","TM","TC","TV","UG","UA","AE","GB","US","UM","UY","UZ","VU","VE","VN","VI","WF","EH","YE","ZM","ZW","XK"]},"TaxDetail":{"title":"TaxDetail","type":"object","properties":{"taxId":{"type":"string","minLength":1,"maxLength":255},"taxResidency":{"$ref":"#/components/schemas/CountryEnum"},"noTinConfirmation":{"description":"Indicates that the customer does not have a Tax Identification Number (TIN), which should only be used in exceptional cases where no TIN exists. If this field is set to true, the customer must provide supporting document (docType: TIN_NA_CONFIRMATION) confirming that no TIN is available.","type":"boolean","default":false}},"required":["taxResidency"]},"Address":{"title":"Address","type":"object","description":"Address","properties":{"street":{"type":"string","minLength":1,"maxLength":255},"streetNumber":{"type":"string","minLength":1,"maxLength":20},"city":{"type":"string","minLength":1,"maxLength":255},"zip":{"type":"string","minLength":3,"maxLength":10},"state":{"type":"string","minLength":1,"maxLength":35},"country":{"$ref":"#/components/schemas/CountryEnum"},"additionalInfo":{"type":"string","minLength":1}},"required":["street","streetNumber","city","zip","country"]},"LegalRepresentativeFunctionEnum":{"title":"LegalRepresentativeFunctionEnum","type":"string","enum":["MANAGING_DIRECTOR","SUPERVISORY_BOARD","SHAREHOLDER","OTHER"]}}},"paths":{"/entities/legal-representatives/{legalRepresentativeId}":{"patch":{"summary":"Update Legal Representative","operationId":"update-legal-representative","description":"Update legal representative","tags":["Legal Representatives"],"parameters":[{"$ref":"#/components/parameters/requestorId"}],"responses":{"202":{"description":"Accepted","content":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegalRepresentativeUpdate"}}}}}}}}
```

## Delete Legal Representative

> Delete legal representative, it will inactivate the legal representative

```json
{"openapi":"3.0.1","info":{"title":"Entities","version":"1.0"},"tags":[{"name":"Legal Representatives","description":"Legal Representatives"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"parameters":{"requestorId":{"schema":{"type":"string","format":"uuid"},"name":"Requestor-ID","in":"header","required":true,"description":"Unique requestor identification in UUID format"}},"schemas":{"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/entities/legal-representatives/{legalRepresentativeId}":{"delete":{"summary":"Delete Legal Representative","operationId":"delete-legal-representative","description":"Delete legal representative, it will inactivate the legal representative","tags":["Legal Representatives"],"parameters":[{"$ref":"#/components/parameters/requestorId"}],"responses":{"202":{"description":"Accepted","content":{}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/entities/legal-representatives.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
